Angular PolarChart - animation

Specifies animation properties.

Selector: dxo-animation
Type:

Object

|

Boolean

The UI component animates its elements at the beginning of its lifetime and when the data source changes.

app.component.html
app.component.ts
app.module.ts
  • <dx-polar-chart ... >
  • <dxo-animation
  • easing="linear"
  • [duration]="500"
  • [maxPointCountSupported]="100">
  • </dxo-animation>
  • </dx-polar-chart>
  • import { Component } from '@angular/core';
  •  
  • @Component({
  • selector: 'app-root',
  • templateUrl: './app.component.html',
  • styleUrls: ['./app.component.css']
  • })
  • export class AppComponent {
  • // ...
  • }
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxPolarChartModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxPolarChartModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

duration

Specifies how long the animation runs in milliseconds.

Type:

Number

Default Value: 1000

easing

Specifies the easing function of the animation.

Type:

String

Default Value: 'easeOutCubic'
Accepted Values: 'easeOutCubic' | 'linear'

Easing functions specify how the speed of the animation changes over time. The following easing functions are available.

  • easeOutCubic
    The animation starts fast and slows down gradually towards the end.
  • linear
    The animation progresses at a constant pace.

enabled

Enables the animation in the UI component.

Type:

Boolean

Default Value: true

maxPointCountSupported

Specifies how many series points the UI component should have before the animation will be disabled.

Type:

Number

Default Value: 300

If the number of series points in your chart increases over time, animating them may affect UI component performance. In this case, use the maxPointCountSupported property to specify a limit for the number of points. When this limit is exceeded, the animation will be disabled.

Vue PolarChart - animation
The UI component animates its elements at the beginning of its lifetime and when the data source changes.
App.vue
- <template>
- <DxPolarChart ... >
- <DxAnimation
- easing="linear"
- :duration="500"
- :max-point-count-supported="100"
- />
- </DxPolarChart>
- </template>
- <script>
- import 'devextreme/dist/css/dx.light.css';
- import DxPolarChart, {
- DxAnimation
- } from 'devextreme-vue/polar-chart';
- export default {
- components: {
- DxPolarChart,
- DxAnimation
- },
- // ...
- }
- </script>
maxPointCountSupported
Specifies how many series points the UI component should have before the animation will be disabled.
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.